<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output indent="yes" method="xml" version="1.0"/>
  <xsl:param name="dbTypeNode">
    <dbType catSQL="1" disp="1" n="JethroData" v="8200"/>
  </xsl:param>
  <xsl:param name="dbIDNode">
    <dbID n="JethroData" v="134"/>
  </xsl:param>
  <xsl:param name="dbVersionNode">
    <dbVersion n="JethroData3" v="276"/>
  </xsl:param>
  <xsl:param name="dbNode">
    <db dbID="JethroData" dbType="JethroData" n="JethroData">
      <xsl:element name="connection">
        <xsl:attribute name="connStr">FULLCONNECTION=JDBC;DRIVER={com.jethrodata.JethroDriver};URL={jdbc:JethroData://@hostportdb}</xsl:attribute>
        <xsl:attribute name="driver"></xsl:attribute>
      </xsl:element>
      <dbParamSection>
        <dbParam field="hostportdb" ids="13909" n="Hostname:PortNumber/database" required="true" tp="text"/>
      </dbParamSection>
      <dbVersions>
        <dbVersion n="JethroData3"/>
      </dbVersions>
    </db>
  </xsl:param>
  <xsl:template match="/ | @* | node()" name="identity">
    <xsl:copy>
      <xsl:apply-templates select="@* | node()"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="/dbProperties/dbTypes/dbType[@n='JethroData' and @v='8200']"/>
  <xsl:template match="/dbProperties/dbIDs/dbID[@n='JethroData' and @v='133']"/>
  <xsl:template match="/dbProperties/dbVersions/dbVersion[@n='JethroData3' and @v='276']"/>
  <xsl:template match="/dbProperties/dbs/db[@n='JethroData' and @dbID='JethroData']"/>
  <xsl:template match="/dbProperties/dbTypes/dbType[position()=last()]">
    <xsl:call-template name="identity"/>
    <xsl:copy-of select="$dbTypeNode"/>
  </xsl:template>
  <xsl:template match="/dbProperties/dbIDs/dbID[position()=last()]">
    <xsl:call-template name="identity"/>
    <xsl:copy-of select="$dbIDNode"/>
  </xsl:template>
  <xsl:template match="/dbProperties/dbVersions/dbVersion[position()=last()]">
    <xsl:call-template name="identity"/>
    <xsl:copy-of select="$dbVersionNode"/>
  </xsl:template>
  <xsl:template match="/dbProperties/dbs/db[position()=last()]">
    <xsl:call-template name="identity"/>
    <xsl:copy-of select="$dbNode"/>
  </xsl:template>
</xsl:stylesheet>
